package com.ss.android.ugc.aweme.upvote.service;

import X.0CH;
import X.1hK;
import X.2Pr;
import X.4nb;
import X.7he;
import X.A09;
import X.A0A;
import X.A0B;
import X.A0C;
import X.A0D;
import X.A0E;
import X.A0F;
import X.A0G;
import X.A0H;
import X.A0I;
import X.A12;
import X.A1F;
import X.AnonymousClass9o4;
import X.AnonymousClass9oC;
import X.AnonymousClass9r1;
import X.AnonymousClass9r2;
import X.C03319yt;
import X.C0378A0o;
import X.Crj;
import X.Ivo;
import X.Ls2;
import X.M12;
import com.bytedance.assem.arch.viewModel.AssemViewModel;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.upvote.UpvoteList;
import com.ss.android.ugc.aweme.feed.model.upvote.UpvoteReason;
import com.ss.android.ugc.aweme.model.TextExtraStruct;
import com.ss.android.ugc.aweme.upvote.event.UpvotePublishMobParam;
import java.util.List;

public final class UpvoteServiceDowngradeImpl implements IUpvoteService {
    public final Crj LIZ = 7he.LIZ(A09.LIZ);
    public final Crj LIZIZ = 7he.LIZ(A0A.LIZ);
    public final Crj LIZJ = 7he.LIZ(AnonymousClass9r2.LIZ);
    public final Crj LIZLLL = 7he.LIZ(A0B.LIZ);
    public final Crj LJ = 7he.LIZ(A0C.LIZ);
    public final Crj LJFF = 7he.LIZ(A0D.LIZ);

    static {
        Covode.recordClassIndex(121828);
    }

    public final AnonymousClass9o4 LIZ(0CH r2) {
        return null;
    }

    public final AssemViewModel<A12> LIZ(1hK r2) {
        M12.LIZ(r2);
        return null;
    }

    public final UpvoteList LIZ(String str) {
        M12.LIZ(str);
        return null;
    }

    public final void LIZ(String str, int i) {
        M12.LIZ(str);
    }

    public final void LIZ(String str, UpvotePublishMobParam upvotePublishMobParam, String str2, List<? extends TextExtraStruct> list, boolean z, Ls2<2Pr> ls2) {
        M12.LIZ(str, upvotePublishMobParam);
    }

    public final void LIZ(String str, boolean z, UpvotePublishMobParam upvotePublishMobParam, boolean z2, Ls2<2Pr> ls2) {
        M12.LIZ(str, upvotePublishMobParam);
    }

    public final void LIZ(List<? extends Aweme> list) {
        M12.LIZ(list);
    }

    public final int LIZIZ(String str) {
        return 1;
    }

    public final void LIZIZ() {
    }

    public final void LIZJ() {
    }

    public final boolean LIZJ(String str) {
        return false;
    }

    public final UpvoteReason LIZLLL(String str) {
        return null;
    }

    public final A1F LIZ() {
        return (A0I) this.LIZ.getValue();
    }

    public final C03319yt LIZLLL() {
        return (A0E) this.LIZIZ.getValue();
    }

    public final AnonymousClass9oC LJ() {
        return (AnonymousClass9r1) this.LIZJ.getValue();
    }

    public final C0378A0o LJFF() {
        return (A0G) this.LIZLLL.getValue();
    }

    public final Ivo LJI() {
        return (A0F) this.LJ.getValue();
    }

    public final 4nb LJII() {
        return (A0H) this.LJFF.getValue();
    }
}
